[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTCustomNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Single item in the hash table.

## Declaration

Source position: contnrs.pp line 339

`type THTCustomNode = class(TObject)`
`public`
`constructor CreateWith();` |  | Create a new instance of THTCustomNode
`function HasKey();` |  | Check whether this node matches the given key.
`property Key: string; [r]` |  | Key value associated with this hash item.
`end;`

## Inheritance

`THTCustomNode` |  | Single item in the hash table.
`TObject`

## Description

THTCustomNode is used by the TFPCustomHashTable class to store the keys and associated values.

## See also

TFPCustomHashTable |  | Hash class

Documentation generated on: Feb 26 2014